"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = void 0;
const lambda_router_1 = require("../lib/lambda-router");
const Domain = __importStar(require("./domain"));
const models_1 = require("./models");
exports.handler = lambda_router_1.LambdaRouter.build((routes) => routes
    .head("/accounts/${username}")(async (r) => {
    const accountExists = await Domain.accountExists(r.pathParams.username);
    return r.response(accountExists ? 200 : 404, "");
})
    .get("/accounts/${username}")((r) => Domain.getAccount(r.pathParams.username).then((a) => r.response(a ? 200 : 404, a)))
    .post("/accounts", models_1.Account, models_1.AccountCreateResponses)((r) => Domain.saveAccount(r.body)
    .then((id) => r.response(201, {
    accountId: id,
}))
    .catch((e) => {
    console.log("Error saving account", e);
    return r.response(400, {
        message: "Error",
    });
})));
