import { RouterConfig } from "./types";
import { APIGatewayProxyHandlerV2 } from "aws-lambda";
import { RouteHandlers } from "./router";
import { VersionedHandlerType } from "./handler-v1";
export declare type ApiGatewayHandlerWithOpenApi = APIGatewayProxyHandlerV2 & {
    toOpenApiPart: () => object;
};
export declare const APIEventHandlerV2: (routes: RouteHandlers<"V2">, config?: RouterConfig) => VersionedHandlerType<"V2">;
