import { RouterConfig } from "./types";
import { VersionedHandlerType } from "./handler-v1";
import { Router } from "./router";
export declare const LambdaRouter: {
    build: (routes: <R>(router: Router<R>) => Router<R>, config?: RouterConfig | undefined) => VersionedHandlerType<"V1">;
};
export declare const LambdaRouterV2: {
    build: (routes: <R>(router: Router<R>) => Router<R>, config?: RouterConfig | undefined) => VersionedHandlerType<"V2">;
};
